## libstdc++-arm-none-eabi 7~bpo8+1

=== debian/changelog ===
libstdc++-arm-none-eabi (7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Agustin Henze <tin@debian.org>  Tue, 23 Jun 2015 09:27:51 -0300

libstdc++-arm-none-eabi (7) unstable; urgency=medium

  * Remove python files, already delivered by libstdc++ (Closes: #787913)

 -- Agustin Henze <tin@debian.org>  Mon, 22 Jun 2015 09:12:01 -0300

libstdc++-arm-none-eabi (6) unstable; urgency=medium

  * Update to gcc-4.9
  * Update debian patches list
  * Bumped Standard-Version to 3.9.6 (no changes required)
  * Switch to dpkg-source 3.0 (native) format

 -- Agustin Henze <tin@debian.org>  Fri, 22 May 2015 17:48:48 -0300

libstdc++-arm-none-eabi (5) experimental; urgency=medium

  * Rebuild using gcc-4.8-source_4.8.3-15

 -- Agustin Henze <tin@debian.org>  Mon, 01 Dec 2014 14:45:13 -0300

libstdc++-arm-none-eabi (4) unstable; urgency=medium

  * Keep exceptions in the speed optimized version.
  * Use _nano suffix instead of _s for size optimized version of libraries.
  * Include pretty printer debug files.
  * Add myself to Uploaders.
  * Disable testing: with exception handling the tests actually run and it
    takes too much time.

 -- Thomas Preud'homme <thomas.preudhomme@arm.com>  Thu, 21 Aug 2014 06:27:59 +0000

libstdc++-arm-none-eabi (3) unstable; urgency=medium

  * Rebuilt using current gcc version (Closes: #751320)

 -- Agustin Henze <tin@debian.org>  Wed, 06 Aug 2014 17:50:55 -0300

libstdc++-arm-none-eabi (2) unstable; urgency=medium

  * Remove libstdc++-arm-wno-abi.diff patch from debian_patches.txt
    (Closes: #750324)

 -- Agustin Henze <tin@debian.org>  Fri, 13 Jun 2014 11:40:50 -0300

libstdc++-arm-none-eabi (1) unstable; urgency=medium

  * Initial release. (Closes: #736167)

 -- Agustin Henze <tin@debian.org>  Tue, 28 Jan 2014 08:18:44 -0300
