=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  dejagnu,
  flex,
  gawk,
- gcc-4.8-source,
+ gcc-4.9-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
@@ -30,7 +30,7 @@
  zlib1g-dev,
  libisl-dev,
  libcloog-isl-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gcc.gnu.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libstdc++-arm-none-eabi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libstdc++-arm-none-eabi.git
