=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  autotools-dev,
  binutils-arm-none-eabi,
  gcc-arm-none-eabi,
+ gcc-arm-none-eabi-source,
  libnewlib-arm-none-eabi,
  bison,
  debhelper (>= 9),
  dejagnu,
  flex,
  gawk,
- gcc-4.9-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
