=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 
 MULTILIB_LIST="--with-multilib-list=armv6-m,armv7-m,armv7e-m,armv7-r"
 
-GCC_VERSION=4.9
-GCC_PACKAGE=gcc-$(GCC_VERSION)
-
-GCC_DIR=/usr/src/$(GCC_PACKAGE)
+GCC_PACKAGE=gcc-arm-none-eabi
 
 SVERSION := $(shell dpkg-query -W -f="\$${Version}\n" $(GCC_PACKAGE)-source)
 DVERSION := $(SVERSION)+$(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
@@ -17,8 +14,7 @@
 BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(GCC_PACKAGE)-source)
 
 TOP_DIR=$(shell pwd)
-UPSTREAM_DIR=$(TOP_DIR)/gcc-$(UVERSION)
-LIBSTDCXX_SDIR=$(UPSTREAM_DIR)/libstdc++-v3
+LIBSTDCXX_SDIR=$(TOP_DIR)/src/libstdc++-v3
 STAMP_DIR=$(TOP_DIR)/debian/stamp
 UNPACK=$(STAMP_DIR)/unpack
 APPY_PATCHES=$(STAMP_DIR)/patches
@@ -27,7 +23,7 @@
 PNEWLIB=libstdc\+\+-arm-none-eabi-newlib
 
 BUILDFLAGS=CFLAGS="-g -O2 -ffunction-sections -fdata-sections" CXXFLAGS="-g -O2 -ffunction-sections -fdata-sections" LDFLAGS=""
-BUILDFLAGS_NANO=CFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" CXXFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" LDFLAGS=""
+BUILDFLAGS_NANO=CFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions -fshort-wchar" CXXFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions -fshort-wchar" LDFLAGS=""
 
 TARGET_TOOLS=\
 	AR_FOR_TARGET=$(TARGET)-ar \
@@ -64,7 +60,7 @@
 	"--with-pkgversion=$(DVERSION)" \
 	--without-included-gettext \
 	--with-host-libstdcxx="-static-libgcc -Wl,-Bstatic,-lstdc++,-Bdynamic -lm" \
-	--enable-languages=c,c++,lto \
+	--enable-languages=c,c++ \
 	--disable-option-checking \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--target=$(TARGET) \
@@ -77,31 +73,19 @@
 
 $(UNPACK):
 	mkdir -p $(STAMP_DIR)
-	tar xf $(GCC_DIR)/gcc-*.tar.*
-	cp /usr/share/doc/$(GCC_PACKAGE)-source/copyright debian/copyright-gcc
+	tar xf /usr/src/gcc-arm-none-eabi-source.tar.*
 	touch $@
 
-$(APPY_PATCHES): $(UNPACK)
-	set -ex; \
-		cd $(UPSTREAM_DIR); \
-		for patch in $(shell cat debian/debian_patches.txt); do \
-			echo Applying patch "$$patch"; \
-			patch -p2 < $(GCC_DIR)/patches/$$patch; \
-		done
-	touch $@
-
-override_dh_auto_configure: $(UNPACK) $(APPY_PATCHES)
+override_dh_auto_configure: $(UNPACK)
 	mkdir -p $(BUILD_DIR) $(BUILD_NANO_DIR)
 	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_DIR) -- $(CONFIGURE_FLAGS) $(BUILDFLAGS)
 	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_NANO_DIR) -- $(CONFIGURE_FLAGS) $(BUILDFLAGS_NANO)
 
 override_dh_auto_clean:
-	rm -rf $(UPSTREAM_DIR) build* debian/*tmp* debian/copyright-gcc $(STAMP_DIR)
+	rm -rf src build* debian/*tmp* $(STAMP_DIR)
 
 override_dh_auto_test:
 	@echo "no testing, that's way too painful"
-#	dh_auto_test -D$(LIBSTDCXX_SDIR) -B$(BUILD_DIR)
-#	dh_auto_test -D$(LIBSTDCXX_SDIR) -B$(BUILD_NANO_DIR)
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(DVERSION) -Vlocal:Version=$(UVERSION) -Vgcc:Version=$(SVERSION) -VBuilt-Using="$(BUILT_USING)"
@@ -121,8 +105,5 @@
 override_dh_install:
 	dh_install --sourcedir debian/$(PNEWLIB)-tmp
 
-override_dh_installchangelogs:
-	dh_installchangelogs $(UPSTREAM_DIR)/ChangeLog
-
 override_dh_strip:
 	dh_strip -X.a
