## libstdc++-arm-none-eabi 10

=== debian/changelog ===
libstdc++-arm-none-eabi (10) unstable; urgency=medium

  * Use new multilib profile
  * Add missing b-dependency on rename
  * Bumped Standard-Version to 4.0.0 (no changes required)

 -- Agustin Henze <tin@debian.org>  Wed, 20 Sep 2017 20:02:53 -0300
