=== debian/control ===
--- 
+++ 
@@ -30,7 +30,8 @@
  zlib1g-dev,
  libisl-dev,
  libcloog-isl-dev,
-Standards-Version: 3.9.6
+ rename,
+Standards-Version: 4.0.0
 Homepage: http://gcc.gnu.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libstdc++-arm-none-eabi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libstdc++-arm-none-eabi.git
