=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 TARGET=arm-none-eabi
 
-MULTILIB_LIST="--with-multilib-list=armv6-m,armv7-m,armv7e-m,armv7-r"
+MULTILIB_LIST="--with-multilib-list=rmprofile"
 
 GCC_PACKAGE=gcc-arm-none-eabi
