## libstdc++-arm-none-eabi 11

=== debian/changelog ===
libstdc++-arm-none-eabi (11) unstable; urgency=medium

  * Change obsolete priority extra to optional
  * Bump Standards-version to 4.2.0 (No changes needed)
  * Update Vcs fields pointing to salsa
  * Update package description
  * Use specific version libisl-0.18-dev
  * Remove short-wchar flag

 -- Agustin Henze <tin@debian.org>  Sun, 12 Aug 2018 14:43:05 +0200
