=== debian/control ===
Source: libstdc++-arm-none-eabi
Section: devel
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Uploaders: Thomas Preud'homme <thomas.preudhomme@arm.com>
Build-Depends:
 autotools-dev,
 binutils-arm-none-eabi,
 gcc-arm-none-eabi,
 gcc-arm-none-eabi-source,
 libnewlib-arm-none-eabi,
 bison,
 debhelper (>= 9),
 dejagnu,
 flex,
 gawk,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 libisl-0.18-dev,
 libcloog-isl-dev,
 rename,
Standards-Version: 4.2.0
Homepage: http://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/debian/libstdcxx_arm_none_eabi_newlib.git
Vcs-Browser: https://salsa.debian.org/debian/libstdcxx_arm_none_eabi_newlib

Package: libstdc++-arm-none-eabi-newlib
Architecture: all
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libnewlib-dev,
 libnewlib-arm-none-eabi,
Recommends:
 binutils-arm-none-eabi,
 gcc-arm-none-eabi,
Description: GNU Standard C++ Library v3 for ARM Cortex-R/M processors (newlib)
 GNU Standard C++ library for embedded ARM chips using Cortex-M, and
 Cortex-R processors.
 .
 This library is built using newlib as standard C library.
