=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 PNEWLIB=libstdc\+\+-arm-none-eabi-newlib
 
 BUILDFLAGS=CFLAGS="-g -O2 -ffunction-sections -fdata-sections" CXXFLAGS="-g -O2 -ffunction-sections -fdata-sections" LDFLAGS=""
-BUILDFLAGS_NANO=CFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions -fshort-wchar" CXXFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions -fshort-wchar" LDFLAGS=""
+BUILDFLAGS_NANO=CFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" CXXFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" LDFLAGS=""
 
 TARGET_TOOLS=\
 	AR_FOR_TARGET=$(TARGET)-ar \
@@ -73,7 +73,8 @@
 
 $(UNPACK):
 	mkdir -p $(STAMP_DIR)
-	tar xf /usr/src/gcc-arm-none-eabi-source.tar.*
+	mkdir -p $(TOP_DIR)/src
+	tar xf /usr/src/gcc-arm-none-eabi-source.tar.* -C $(TOP_DIR)/src
 	touch $@
 
 override_dh_auto_configure: $(UNPACK)
