## libstdc++-arm-none-eabi 12

=== debian/changelog ===
libstdc++-arm-none-eabi (12) unstable; urgency=medium

  * Remove `--with autotools-dev`, it's run by default since dh 9
  * Add (autopkg) tests
  * Disable reprotest because runners have really low resources
  * Remove b-dpendencies on libisl-0.18-dev and libcloog-isl-dev
    (Closes: #921856)

 -- Agustin Henze <tin@debian.org>  Mon, 11 Feb 2019 06:49:38 +0000
