## libstdc++-arm-none-eabi 12build2

=== debian/changelog ===
libstdc++-arm-none-eabi (12build2) focal; urgency=medium

  * No-change rebuild using 9-2019-q4.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Apr 2020 23:15:35 +0200
