## libstdc++-arm-none-eabi 13

=== debian/changelog ===
libstdc++-arm-none-eabi (13) unstable; urgency=medium

  * gcc-arm-none-eabi new release 15:8-2019-q3-1
  * Change salsa ci filename to standard name
  * Update salsa ci yml configuration

 -- Joaquin de Andres <me@xcancerberox.com.ar>  Fri, 06 Mar 2020 09:43:26 +0100
