=== debian/control ===
--- 
+++ 
@@ -28,8 +28,6 @@
  texinfo,
  xz-utils,
  zlib1g-dev,
- libisl-0.18-dev,
- libcloog-isl-dev,
  rename,
 Standards-Version: 4.2.0
 Homepage: http://gcc.gnu.org/
