=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 	$(TARGET_TOOLS)
 
 %:
-	dh $@ --with autotools-dev --parallel
+	dh $@ --parallel
 
 $(UNPACK):
 	mkdir -p $(STAMP_DIR)
