=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,12 @@
 
 GCC_PACKAGE=gcc-arm-none-eabi
 
+include /usr/share/dpkg/pkg-info.mk
+
 SVERSION := $(shell dpkg-query -W -f="\$${Version}\n" $(GCC_PACKAGE)-source)
-DVERSION := $(SVERSION)+$(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
+DVERSION := $(SVERSION)+$(DEB_VERSION)
 UVERSION := $(shell echo $(DVERSION) | cut -d- -f1)
 BASE_VERSION := $(shell echo $(DVERSION) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
-BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(GCC_PACKAGE)-source)
 
 TOP_DIR=$(shell pwd)
 LIBSTDCXX_SDIR=$(TOP_DIR)/src/libstdc++-v3
@@ -20,10 +21,13 @@
 APPY_PATCHES=$(STAMP_DIR)/patches
 BUILD_DIR=$(TOP_DIR)/build/libstdc++
 BUILD_NANO_DIR=$(TOP_DIR)/build_nano/libstdc++
+BUILD_PICOLIBC_DIR=$(TOP_DIR)/build_picolibc/libstdc++
 PNEWLIB=libstdc\+\+-arm-none-eabi-newlib
+PPICOLIBC=libstdc\+\+-arm-none-eabi-picolibc
 
 BUILDFLAGS=CFLAGS="-g -O2 -ffunction-sections -fdata-sections" CXXFLAGS="-g -O2 -ffunction-sections -fdata-sections" LDFLAGS=""
 BUILDFLAGS_NANO=CFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" CXXFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" LDFLAGS=""
+BUILDFLAGS_PICOLIBC=CFLAGS="--specs=picolibc.specs -g -Os -ffunction-sections -fdata-sections" CXXFLAGS="--specs=picolibcpp.specs -g -Os -ffunction-sections -fdata-sections" LDFLAGS="--specs=picolibc.specs"
 
 TARGET_TOOLS=\
 	AR_FOR_TARGET=$(TARGET)-ar \
@@ -48,7 +52,7 @@
 	--disable-nls \
 	--disable-shared \
 	--disable-threads \
-	--disable-tls \
+	--enable-tls \
 	--disable-plugin \
 	--disable-libstdcxx-verbose \
 	--mandir=/usr/share/man \
@@ -68,8 +72,12 @@
 	$(MULTILIB_LIST) \
 	$(TARGET_TOOLS)
 
+CONFIGURE_FLAGS_PICOLIBC= \
+	--enable-stdio=stdio_pure \
+	--disable-wchar_t \
+
 %:
-	dh $@ --parallel
+	dh $@
 
 $(UNPACK):
 	mkdir -p $(STAMP_DIR)
@@ -81,6 +89,7 @@
 	mkdir -p $(BUILD_DIR) $(BUILD_NANO_DIR)
 	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_DIR) -- $(CONFIGURE_FLAGS) $(BUILDFLAGS)
 	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_NANO_DIR) -- $(CONFIGURE_FLAGS) $(BUILDFLAGS_NANO)
+	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_PICOLIBC_DIR) -- $(CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_PICOLIBC) $(BUILDFLAGS_PICOLIBC)
 
 override_dh_auto_clean:
 	rm -rf src build* debian/*tmp* $(STAMP_DIR)
@@ -89,22 +98,24 @@
 	@echo "no testing, that's way too painful"
 
 override_dh_gencontrol:
-	dh_gencontrol -- -v$(DVERSION) -Vlocal:Version=$(UVERSION) -Vgcc:Version=$(SVERSION) -VBuilt-Using="$(BUILT_USING)"
+	dh_gencontrol -- -v$(DVERSION) -Vlocal:Version=$(UVERSION) -Vgcc:Version=$(SVERSION)
 
 override_dh_auto_build:
 	dh_auto_build -B $(BUILD_DIR)
 	dh_auto_build -B $(BUILD_NANO_DIR)
+	dh_auto_build -B $(BUILD_PICOLIBC_DIR)
 
 override_dh_auto_install:
-	dh_auto_install -B $(BUILD_DIR) --destdir debian/$(PNEWLIB)-tmp
-	dh_auto_install -B $(BUILD_NANO_DIR) --destdir debian/$(PNEWLIB)-tmp_nano
-	find debian/$(PNEWLIB)-tmp_nano \
+	dh_auto_install -B $(BUILD_DIR) --destdir debian/tmp
+	dh_auto_install -B $(BUILD_NANO_DIR) --destdir debian/tmp_nano
+	dh_auto_install -B $(BUILD_PICOLIBC_DIR) --destdir debian/tmp/picolibc
+	find debian/tmp_nano \
 		-name "*.a" \
-		-exec rename 's@debian/$(PNEWLIB)-tmp_nano/(.*).a@debian/$(PNEWLIB)-tmp/$$1_nano.a@' \{\} \;
-	find debian/$(PNEWLIB)-tmp -name "*.la" -exec rm -f {} +
+		-exec rename 's@debian/tmp_nano/(.*).a@debian/tmp/$$1_nano.a@' \{\} \;
+	find debian/tmp -name "*.la" -exec rm -f {} +
 
 override_dh_install:
-	dh_install --sourcedir debian/$(PNEWLIB)-tmp
+	dh_install
 
 override_dh_strip:
 	dh_strip -X.a
