## libstdc++-arm-none-eabi 20ubuntu1

=== debian/changelog ===
libstdc++-arm-none-eabi (20ubuntu1) kinetic; urgency=medium

  * Don't use host dpkg-buildflags for the target.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Jul 2022 19:25:35 +0000

libstdc++-arm-none-eabi (20) unstable; urgency=medium

  * New picolibc version (1.7.6)

  * Also build 'release' version of libstdc++ 

 -- Keith Packard <keithp@keithp.com>  Fri, 25 Mar 2022 15:22:56 -0700

libstdc++-arm-none-eabi (19) unstable; urgency=medium

  * Fix picolibc version to use --enable-cstdio=stdio_pure to avoid
    depending on posix APIs.

 -- Keith Packard <keithp@keithp.com>  Sun, 30 Jan 2022 17:50:08 -0800

libstdc++-arm-none-eabi (18) unstable; urgency=medium

  * Make build more reproducible by adding dpkg-buildflags options to
    builds.

 -- Keith Packard <keithp@keithp.com>  Tue, 25 Jan 2022 18:38:39 -0800

libstdc++-arm-none-eabi (17) unstable; urgency=medium

  * Fix binary packages dependency on -dev package (was using wrong version).

 -- Keith Packard <keithp@keithp.com>  Tue, 18 Jan 2022 14:46:26 -0800

libstdc++-arm-none-eabi (16) unstable; urgency=medium

  * Make -dev package also depend on matching gcc-arm-none-eabi.

 -- Keith Packard <keithp@keithp.com>  Tue, 18 Jan 2022 10:30:35 -0800

libstdc++-arm-none-eabi (15) unstable; urgency=medium

  * Depend on matching gcc-arm-none-eabi-verison (Closes: #998365)

 -- Keith Packard <keithp@keithp.com>  Sun, 16 Jan 2022 11:34:21 -0800

libstdc++-arm-none-eabi (14) unstable; urgency=medium

  * gcc-arm-none-eabi new release 15:10-2020-q4-major
  * Add picolibc support
  * Split includes to separate package to share

 -- Keith Packard <keithp@keithp.com>  Thu, 15 Jul 2021 14:27:05 -0700
