=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libstdc++-arm-none-eabi
 Section: devel
 Priority: optional
-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Thomas Preud'homme <thomas.preudhomme@arm.com>,
  Keith Packard <keithp@keithp.com>
 Rules-Requires-Root: no
