=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify,-stackprotector
 
 TARGET=arm-none-eabi
 
@@ -8,6 +10,10 @@
 GCC_PACKAGE=gcc-arm-none-eabi
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS := $(shell env DEB_HOST_ARCH=armhf dpkg-buildflags --get CFLAGS)
+CXXFLAGS := $(shell env DEB_HOST_ARCH=armhf dpkg-buildflags --get CXXFLAGS)
 
 SVERSION := $(shell dpkg-query -W -f="\$${Version}\n" $(GCC_PACKAGE)-source)
 DVERSION := $(SVERSION)+$(DEB_VERSION)
@@ -22,12 +28,14 @@
 BUILD_DIR=$(TOP_DIR)/build/libstdc++
 BUILD_NANO_DIR=$(TOP_DIR)/build_nano/libstdc++
 BUILD_PICOLIBC_DIR=$(TOP_DIR)/build_picolibc/libstdc++
+BUILD_PICOLIBC_RELEASE_DIR=$(TOP_DIR)/build_picolibc_release/libstdc++
 PNEWLIB=libstdc\+\+-arm-none-eabi-newlib
 PPICOLIBC=libstdc\+\+-arm-none-eabi-picolibc
 
-BUILDFLAGS=CFLAGS="-g -O2 -ffunction-sections -fdata-sections" CXXFLAGS="-g -O2 -ffunction-sections -fdata-sections" LDFLAGS=""
-BUILDFLAGS_NANO=CFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" CXXFLAGS="-g -Os -ffunction-sections -fdata-sections -fno-exceptions" LDFLAGS=""
-BUILDFLAGS_PICOLIBC=CFLAGS="--specs=picolibc.specs -g -Os -ffunction-sections -fdata-sections" CXXFLAGS="--specs=picolibcpp.specs -g -Os -ffunction-sections -fdata-sections" LDFLAGS="--specs=picolibc.specs"
+BUILDFLAGS=CFLAGS="$(CFLAGS) -g -O2 -ffunction-sections -fdata-sections" CXXFLAGS="$(CXXFLAGS) -g -O2 -ffunction-sections -fdata-sections" LDFLAGS="$(LDFLAGS)"
+BUILDFLAGS_NANO=CFLAGS="$(CFLAGS) -g -Os -ffunction-sections -fdata-sections -fno-exceptions" CXXFLAGS="$(CXXFLAGS) -g -Os -ffunction-sections -fdata-sections -fno-exceptions" LDFLAGS="$(LDFLAGS)"
+BUILDFLAGS_PICOLIBC=CFLAGS="--specs=picolibc.specs $(CFLAGS) -g -Os -ffunction-sections -fdata-sections" CXXFLAGS="--specs=picolibcpp.specs $(CXXFLAGS) -g -Os -ffunction-sections -fdata-sections" LDFLAGS="--specs=picolibc.specs $(LDFLAGS)"
+BUILDFLAGS_PICOLIBC_RELEASE=CFLAGS="--specs=picolibc.specs --picolibc-buildtype=release $(CFLAGS) -g -O3 -ffunction-sections -fdata-sections" CXXFLAGS="--specs=picolibcpp.specs --picolibc-buildtype=release $(CXXFLAGS) -g -Os -ffunction-sections -fdata-sections" LDFLAGS="--specs=picolibc.specs --picolibc-buildtype=release $(LDFLAGS)"
 
 TARGET_TOOLS=\
 	AR_FOR_TARGET=$(TARGET)-ar \
@@ -73,7 +81,7 @@
 	$(TARGET_TOOLS)
 
 CONFIGURE_FLAGS_PICOLIBC= \
-	--enable-stdio=stdio_pure \
+	--enable-cstdio=stdio_pure \
 	--disable-wchar_t \
 
 %:
@@ -90,6 +98,7 @@
 	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_DIR) -- $(CONFIGURE_FLAGS) $(BUILDFLAGS)
 	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_NANO_DIR) -- $(CONFIGURE_FLAGS) $(BUILDFLAGS_NANO)
 	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_PICOLIBC_DIR) -- $(CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_PICOLIBC) $(BUILDFLAGS_PICOLIBC)
+	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_PICOLIBC_RELEASE_DIR) -- $(CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_PICOLIBC) $(BUILDFLAGS_PICOLIBC_RELEASE)
 
 override_dh_auto_clean:
 	rm -rf src build* debian/*tmp* $(STAMP_DIR)
@@ -104,11 +113,13 @@
 	dh_auto_build -B $(BUILD_DIR)
 	dh_auto_build -B $(BUILD_NANO_DIR)
 	dh_auto_build -B $(BUILD_PICOLIBC_DIR)
+	dh_auto_build -B $(BUILD_PICOLIBC_RELEASE_DIR)
 
 override_dh_auto_install:
 	dh_auto_install -B $(BUILD_DIR) --destdir debian/tmp
 	dh_auto_install -B $(BUILD_NANO_DIR) --destdir debian/tmp_nano
 	dh_auto_install -B $(BUILD_PICOLIBC_DIR) --destdir debian/tmp/picolibc
+	dh_auto_install -B $(BUILD_PICOLIBC_RELEASE_DIR) --destdir debian/tmp/picolibc-release
 	find debian/tmp_nano \
 		-name "*.a" \
 		-exec rename 's@debian/tmp_nano/(.*).a@debian/tmp/$$1_nano.a@' \{\} \;
