## libstdc++-arm-none-eabi 23

=== debian/changelog ===
libstdc++-arm-none-eabi (23) unstable; urgency=medium

  * Rebuild for new toolchain (15:12.2.rel1)

 -- Keith Packard <keithp@keithp.com>  Thu, 22 Dec 2022 12:41:15 -0800

libstdc++-arm-none-eabi (22) unstable; urgency=medium

  * Avoid build-machine compiler flags (Closes: #1014619)

  * Rebuild so gcc dependency works again (Closes: #1020619)

 -- Keith Packard <keithp@keithp.com>  Wed, 12 Oct 2022 17:27:29 -0700

libstdc++-arm-none-eabi (21) unstable; urgency=medium

  * New arm gcc release (11.3.rel1)

  * New picolibc version (1.7.9)

 -- Keith Packard <keithp@keithp.com>  Tue, 11 Oct 2022 12:23:56 -0700
