=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libstdc++-arm-none-eabi
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Thomas Preud'homme <thomas.preudhomme@arm.com>,
  Keith Packard <keithp@keithp.com>
 Rules-Requires-Root: no
@@ -32,7 +31,7 @@
  xz-utils,
  zlib1g-dev,
  rename,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: http://gcc.gnu.org/
 Vcs-Git: https://salsa.debian.org/debian/libstdcxx_arm_none_eabi_newlib.git
 Vcs-Browser: https://salsa.debian.org/debian/libstdcxx_arm_none_eabi_newlib
