## libstdc++-arm-none-eabi 26

=== debian/changelog ===
libstdc++-arm-none-eabi (26) unstable; urgency=medium

  * Rebuild for new picolibc and toolchain

 -- Keith Packard <keithp@keithp.com>  Mon, 19 Feb 2024 16:21:28 -0800

libstdc++-arm-none-eabi (25) unstable; urgency=medium

  * Rebuild for new picolibc (1.8.6)

  * Rebuild for new toolchain (15:13.2.rel1) (Closes: #1050327)
    (Closes: #1052348)

 -- Keith Packard <keithp@keithp.com>  Thu, 18 Jan 2024 12:20:55 -0800

libstdc++-arm-none-eabi (24) unstable; urgency=medium

  * Rebuild for new toolchain (15:12.3.rel1)

 -- Keith Packard <keithp@keithp.com>  Thu, 10 Aug 2023 18:38:48 -0700
