## libstdc++-arm-none-eabi 27

=== debian/changelog ===
libstdc++-arm-none-eabi (27) unstable; urgency=medium

  * Rebuild for new picolibc and toolchain

  * Update standards version to 4.7.0

 -- Keith Packard <keithp@keithp.com>  Thu, 26 Sep 2024 09:13:04 -0700
