## libstdc++-arm-none-eabi 28

=== debian/changelog ===
libstdc++-arm-none-eabi (28) unstable; urgency=medium

  * Rebuild for new picolibc and toolchain

 -- Keith Packard <keithp@keithp.com>  Wed, 05 Feb 2025 10:30:29 -0800
