=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  xz-utils,
  zlib1g-dev,
  rename,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://gcc.gnu.org/
 Vcs-Git: https://salsa.debian.org/debian/libstdcxx_arm_none_eabi_newlib.git
 Vcs-Browser: https://salsa.debian.org/debian/libstdcxx_arm_none_eabi_newlib
