## libstdc++-arm-none-eabi 29

=== debian/changelog ===
libstdc++-arm-none-eabi (29) unstable; urgency=medium

  * Build picolibc version with -fno-exceptions.

 -- Keith Packard <keithp@keithp.com>  Wed, 23 Apr 2025 14:27:32 -0700
