## libstdc++-arm-none-eabi 30

=== debian/changelog ===
libstdc++-arm-none-eabi (30) unstable; urgency=medium

  * New toolchain and picolibc versions.

  * Build aarch64 version too.

 -- Keith Packard <keithp@keithp.com>  Tue, 20 Jan 2026 21:15:40 -0800
