=== debian/control ===
Source: libstdc++-arm-none-eabi
Section: devel
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Rules-Requires-Root: no
Build-Depends:
 gcc-arm-none-eabi-source (>= 15:15.2.rel1),
 binutils-arm-none-eabi (>= 2.45.50),
 binutils-aarch64-none-elf (>= 2.45.50),
 gcc-arm-none-eabi (>= 15:15.2.rel1),
 gcc-aarch64-none-elf (>= 15:15.2.rel1),
 picolibc-arm-none-eabi (>= 1.8.11),
 picolibc-aarch64-none-elf (>= 1.8.11),
 bison,
 debhelper (>= 10),
 dejagnu,
 flex,
 gawk,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 rename,
Standards-Version: 4.7.0
Homepage: http://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/debian/libstdc++_arm_none_eabi
Vcs-Browser: https://salsa.debian.org/debian/libstdc++_arm_none_eabi

Package: libstdc++-arm-none-eabi
Architecture: all
Depends:
 ${misc:Depends},
 picolibc-arm-none-eabi (>= 1.8.11),
 libstdc++-arm-none-eabi-common (= ${binary:Version}),
 gcc-arm-none-eabi (= ${gcc:Version}),
Description: GNU Standard C++ Library v3 for ARM Cortex-R/M processors
 GNU Standard C++ library for embedded ARM chips using Cortex-M, and
 Cortex-R processors.

Package: libstdc++-aarch64-none-elf
Architecture: all
Depends:
 ${misc:Depends},
 picolibc-aarch64-none-elf (>= 1.8.11),
 libstdc++-arm-none-eabi-common (= ${binary:Version}),
 gcc-aarch64-none-elf (= ${gcc:Version}),
Description: GNU Standard C++ Library v3 for embedded 64-bit ARM
 C++ library for embedded systems containing 64-bit arm processors.

Package: libstdc++-arm-none-eabi-common
Architecture: all
Depends:
 ${misc:Depends}
Description: Common files for GNU Standard C++ Library v3 for ARM embedded
 Files shared between libstdc++-arm-none-eabi and libstdc++-aarch64-none-elf
