## libstdc++-arm-none-eabi 31

=== debian/changelog ===
libstdc++-arm-none-eabi (31) unstable; urgency=medium

  * Adjust gcc dependencies for the binary packages. (Closes: #1126415)
  * Format debian/copyright to follow current standards
  * Adjust salsa urls.
  * Address lintian warnings
  * Run autoconf to update configure script

 -- Keith Packard <keithp@keithp.com>  Wed, 11 Feb 2026 09:05:31 -0800
