=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  picolibc-arm-none-eabi (>= 1.8.11),
  picolibc-aarch64-none-elf (>= 1.8.11),
  bison,
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dejagnu,
  flex,
  gawk,
@@ -31,10 +31,10 @@
  xz-utils,
  zlib1g-dev,
  rename,
-Standards-Version: 4.7.0
-Homepage: http://gcc.gnu.org/
-Vcs-Git: https://salsa.debian.org/debian/libstdc++_arm_none_eabi
-Vcs-Browser: https://salsa.debian.org/debian/libstdc++_arm_none_eabi
+Standards-Version: 4.7.3
+Homepage: https://gcc.gnu.org/
+Vcs-Git: https://salsa.debian.org/debian/libstdcxx-arm-none-eabi.git
+Vcs-Browser: https://salsa.debian.org/debian/libstdcxx-arm-none-eabi
 
 Package: libstdc++-arm-none-eabi
 Architecture: all
@@ -42,7 +42,7 @@
  ${misc:Depends},
  picolibc-arm-none-eabi (>= 1.8.11),
  libstdc++-arm-none-eabi-common (= ${binary:Version}),
- gcc-arm-none-eabi (= ${gcc:Version}),
+ gcc-arm-none-eabi (>= ${gcc:Version}),
 Description: GNU Standard C++ Library v3 for ARM Cortex-R/M processors
  GNU Standard C++ library for embedded ARM chips using Cortex-M, and
  Cortex-R processors.
@@ -53,7 +53,7 @@
  ${misc:Depends},
  picolibc-aarch64-none-elf (>= 1.8.11),
  libstdc++-arm-none-eabi-common (= ${binary:Version}),
- gcc-aarch64-none-elf (= ${gcc:Version}),
+ gcc-aarch64-none-elf (>= ${gcc:Version}),
 Description: GNU Standard C++ Library v3 for embedded 64-bit ARM
  C++ library for embedded systems containing 64-bit arm processors.
