## libstdc++-arm-none-eabi 32

=== debian/changelog ===
libstdc++-arm-none-eabi (32) unstable; urgency=medium

  * Mark binary packages as Multi-Arch: foreign

 -- Keith Packard <keithp@keithp.com>  Sun, 15 Feb 2026 00:19:59 -0800
