=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
 
 Package: libstdc++-arm-none-eabi
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  picolibc-arm-none-eabi (>= 1.8.11),
@@ -49,6 +50,7 @@
 
 Package: libstdc++-aarch64-none-elf
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  picolibc-aarch64-none-elf (>= 1.8.11),
@@ -59,6 +61,7 @@
 
 Package: libstdc++-arm-none-eabi-common
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Common files for GNU Standard C++ Library v3 for ARM embedded
