=== debian/rules ===
--- 
+++ 
@@ -156,6 +156,12 @@
 	mkdir -p $(STAMP_DIR)
 	mkdir -p $(GCC_SOURCE_DIR)
 	tar xf /usr/src/$(PACKAGE_GCC_SOURCE).tar.* -C $(GCC_SOURCE_DIR)
+	set -ex; \
+		cd $(GCC_SOURCE_DIR); \
+		for patch in $(TOP_DIR)/debian/patches/*.patch; do \
+			echo Applying patch "$$patch"; \
+			patch -p1 < "$$patch"; \
+		done
 	touch $@
 
 override_dh_gencontrol:
